#
# spec file for package nmap (Version 4.00)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libjpeg libnscd libpcap libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel pam pam-modules pango pango-devel patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           nmap
BuildRequires:  gcc-c++ gtk2-devel libpcap openssl-devel pcre-devel update-desktop-files
URL:            http://www.insecure.org/nmap/
License:        GPL
Group:          Productivity/Networking/Diagnostic
Autoreqprov:    on
Version:        4.00
Release:        14.2
Summary:        Portscanner
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %name-%version.tar.bz2
Source1:        nmapfe.png
Patch:          %name-%version-libpcap-filter.diff
Patch1:         %name-%version-noreturn.diff
Patch2:         %name-%version-nostrip.diff

%description
Nmap is designed to allow system administrators and curious individuals
to scan large networks to determine which hosts are up and what
services they are offering. XNmap is a graphical front-end that shows
nmap's output clearly. Find documentation in
/usr/share/doc/packages/nmap.



Authors:
--------
    Fyodor <fyodor@dhp.com>

%debug_package
%package gtk
Summary:        A Graphical Front-End for Nmap
Group:          Productivity/Networking/Diagnostic
Requires:       %name = %version

%description gtk
xnmap is a graphical front-end written in GTK which clearly shows
nmap's output.



Authors:
--------
    Fyodor <fyodor@dhp.com>

%prep
%setup -q
%patch
%patch1 -p1
%patch2 -p1

%build
#%{?suse_update_config:%{suse_update_config -f libpcap-possiblymodified nbase }}
#autoconf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure	--prefix=/usr \
		--sysconfdir=/etc\
		--mandir=%_mandir \
		--infodir=%_infodir \
		--datadir=%_datadir \
		--with-libpcap=%_prefix \
		--build %_target_cpu-suse-linux
make 

%install
make DESTDIR=$RPM_BUILD_ROOT deskdir=/opt/gnome/share/gnome/apps/Utilities/ install
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/applications $RPM_BUILD_ROOT/opt/gnome/share/pixmaps
mv $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/*/*.desktop $RPM_BUILD_ROOT/opt/gnome/share/applications
rmdir $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/* $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps $RPM_BUILD_ROOT/opt/gnome/share/gnome
# There is no icon-network. Use the only icon available in package.
sed -i s:icon-network:nmapfe: $RPM_BUILD_ROOT/opt/gnome/share/applications/nmapfe.desktop
#convert mswin32/icon1.ico nmapfe.png ; mv nmapfe.png.1 nmapfe.png
cp %{S:1} $RPM_BUILD_ROOT/opt/gnome/share/pixmaps
%suse_update_desktop_file nmapfe Network Monitor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* CHANGELOG HACKING
%doc docs/README 
%doc docs/nmap.usage.txt
/usr/bin/nmap
/usr/share/nmap
%_mandir/man1/nmap.1.gz

%files gtk
%defattr(-,root,root)
/usr/bin/nmapfe
/usr/bin/xnmap
/opt/gnome/share/applications/*.desktop
/opt/gnome/share/pixmaps/*.png
%_mandir/man1/nmapfe.1.gz
%_mandir/man1/xnmap.1.gz

%changelog -n nmap
* Sat Feb 25 2006 - aj@suse.de
- Reduce BuildRequires.
* Thu Feb 02 2006 - hvogel@suse.de
- update to 4.0 final. Only some metadata updates
* Fri Jan 27 2006 - hvogel@suse.de
- added pcre-devel to buildrequires
- updated to 3.999 which includes:
  o Upgraded the included LibPCRE from version 6.3 to 6.4.
  o Integrated all remaining 2005 service submissions.
  o Added run time interaction
  o Reverse DNS resolution is now done in parallel
  o Added the --badsum option, which causes Nmap to use invalid TCP or
  UDP checksums for packets sent to target hosts.
  o More excellent NmapFE patches from Priit Laes
  o Added --max_retries option
  o Many of the Nmap low-level timing options take a value in
  milliseconds.
  o Made some changes to allow source port zero scans (-g0).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 09 2005 - hvogel@suse.de
- 3.95 update
* Thu Nov 03 2005 - dmueller@suse.de
- 3.93 update (fixes #129227)
* Fri Oct 14 2005 - sf@suse.de
- fix specfile
* Fri Oct 14 2005 - sf@suse.de
- fix C++ Problem with gcc 4.1
- fix Makefile.in to use RPM_OPT_FLAGS
* Fri Sep 09 2005 - mmj@suse.de
- Update to nmap-3.90
* Wed Aug 24 2005 - hvogel@suse.de
- use internal pcre to avoid problems with SYN scan
  [#104337]
* Tue Aug 16 2005 - mmj@suse.de
- Don't strip binaries
* Tue Aug 09 2005 - hvogel@suse.de
- Build against system libpcap/libpcre to avoid libpcap bugs
  [Bug #98249]
* Wed Mar 23 2005 - sbrabec@suse.cz
- Moved desktop file, added icon (#73653).
* Tue Feb 08 2005 - meissner@suse.de
- fix return values of gencode.c.
* Tue Feb 08 2005 - mmj@suse.de
- Update to nmap-3.81
* Mon Feb 07 2005 - mmj@suse.de
- Update to nmap-3.80
* Fri Dec 03 2004 - mmj@suse.de
- Update to nmap-3.77
* Wed Oct 20 2004 - mmj@suse.de
- Update to nmap-3.75
* Wed Sep 01 2004 - mmj@suse.de
- Update to nmap-3.70
* Thu Jul 08 2004 - mmj@suse.de
- Update to nmap-3.55
* Tue Feb 10 2004 - mmj@suse.de
- Fix accidental deletion of specfile tag
* Tue Feb 10 2004 - mmj@suse.de
- Add openssl to #nfb in order to enable SSL-scan-through support
* Thu Jan 22 2004 - mmj@suse.de
- Update to nmap-3.50
* Wed Nov 19 2003 - hvogel@suse.de
- move nmapfe/xnmap to a subpackage nmap-gtk
- make use of openssl
- fix DESTDIR patch
- dont build as root
* Wed Oct 08 2003 - mmj@suse.de
- Update to version 3.48
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Sat Jul 19 2003 - mmj@suse.de
- Update to version 3.30
* Sun Jun 22 2003 - mmj@suse.de
- Update to version 3.28
* Mon May 26 2003 - mmj@suse.de
- Update to nmap-3.27
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Tue Apr 01 2003 - mmj@suse.de
- Update to nmap-3.20
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Sun Aug 18 2002 - adrian@suse.de
- fix neededforbuild
- use BuildRoot
- add missing files to file list
* Mon Aug 05 2002 - draht@suse.de
- long awaited version 3.00. News:
  * 700 operation systems + network devices in fingerprint database
  * uptime scan
  * XML output
  * all references to God in error messages are capitalized
  added filter.dif security fix for homegrown libpcap.
* Wed Jan 09 2002 - draht@suse.de
- new version 2.54BETA30.
* Thu Aug 09 2001 - ro@suse.de
- fixed specfile to build (suse_update_config before autoconf)
* Tue May 08 2001 - draht@suse.de
- update to 2.54BETA22
* Sun Jan 28 2001 - schwab@suse.de
- Add %%suse_update_config.
* Mon Nov 13 2000 - ro@suse.de
- fixed inet_aton detection
* Sat Nov 04 2000 - kukuk@suse.de
- fix neededforbuild
* Tue Jul 11 2000 - mge@suse.de
- update to 2.53, move /usr/lib/nmap to /usr/share/nmap
* Tue Feb 22 2000 - garloff@suse.de
- Version 2.3BETA14. Move manpage to /usr/share/man
* Mon Oct 25 1999 - freitag@suse.de
- update to version 2.3BETA6
* Wed Oct 20 1999 - freitag@suse.de
- new version 2.12
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 18 1999 - uli@suse.de
- new package, version 2.02
